using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using UUN;
using System.Collections;
using System.Text;

public partial class wClub_Topic_State:System.Web.UI.Page
{
	//------------------------------
	// 此文件代码由工具自动生成
	// 2010-6-5 19:34:05
	// UUNSOFT.COM 版权所有
	//------------------------------
	private 访问 访问;
	private StringBuilder 返回值;
	protected void Page_Load(object sender,EventArgs e)
	{
		访问 = new 访问(this.Context);
		访问.是否前台=true;
		访问.是否WML=true;
		访问.开始处理("修改状态","网站页面","修改状态",new 访问.回调委托(ZhiXing));
		访问.关闭连接();
	}
	private void ZhiXing()
	{
		返回值=new StringBuilder();

	ID=Convert.ToInt32(Request.QueryString["ID"]);
	BID=Convert.ToInt32(Request.QueryString["BID"]);
	操作=Convert.ToInt32(Request.QueryString["action"]);
	访问.验证会员();
	if(!是否版主())
		throw new Exception("只允许版主操作");
	执行操作();
	Response.Redirect(常用.处理地址("Topic.aspx?BID="+BID+"&ID="+ID,访问.用户["标识"].ToString()));
		返回值.Append(@"");
		Response.Write(返回值);
		Response.Write("<!-- Powered by www.uunsoft.com -->");
	}

	private int BID;
	private int ID;
	private int 操作;
	private DataSet 论坛版主;
	private void 获取论坛版主()
	{
		论坛版主=new DataSet();
		SqlCommand 语句=new SqlCommand("SELECT * FROM ["+程序.数据表前缀+"社区_论坛_版主] WHERE [所属版块]="+BID+" ORDER BY [创建时间]",访问.连接);
		SqlDataAdapter 填充=new SqlDataAdapter(语句);
		填充.Fill(论坛版主,"论坛版主");
	}
	private bool 是否版主()
	{
		if(论坛版主==null)
			获取论坛版主();
		bool 返回值=false;
		for(int i=0;i<论坛版主.Tables[0].Rows.Count;i++)
			if(Convert.ToInt32(论坛版主.Tables[0].Rows[i]["版主ID"])==Convert.ToInt32(访问.用户["ID"]))
				返回值=true;
		return 返回值;
	}
	private void 执行操作()
	{
		Hashtable 贴子=常用.SQL_获取(new SqlCommand("SELECT [是否置顶],[是否精华],[是否锁定] FROM ["+程序.数据表前缀+"社区_论坛_贴子] WHERE [是否删除]=0 AND [ID]="+ID+" AND [所属版块]="+BID,访问.连接));
		if(贴子==null)
			throw new Exception("贴子不存在");

		String SQL="UPDATE ["+程序.数据表前缀+"社区_论坛_贴子] SET ";
		switch(操作)
		{
			case 2:
				if(Convert.ToBoolean(贴子["是否置顶"]))
					SQL+="[是否置顶]=0";
				else
					SQL+="[是否置顶]=1";
				break;
			case 0:
				if(Convert.ToBoolean(贴子["是否精华"]))
					SQL+="[是否精华]=0";
				else
					SQL+="[是否精华]=1";
				break;
			default:
				if(Convert.ToBoolean(贴子["是否锁定"]))
					SQL+="[是否锁定]=0";
				else
					SQL+="[是否锁定]=1";
				break;
		}
		SQL+=" WHERE [ID]="+ID;

		SqlCommand 语句=new SqlCommand(SQL,访问.连接);
		语句.ExecuteNonQuery();
	}
}